%bcond tests 1

Name:           ansible-collection-community-postgresql
Version:        3.0.0
Release:    1%{?dist}
Summary:        Manage PostgreSQL with Ansible

License:        GPL-3.0-or-later AND BSD-2-Clause AND PSF-2.0
URL:            https://github.com/ansible-collections/community.postgresql
Source0:         https://github.com/ansible-collections/community.postgresql/archive/%{version}/community.postgresql-%{version}.tar.gz
Patch:          build_ignore.patch

BuildArch:      noarch

BuildRequires:  ansible-packaging
%if %{with tests}
BuildRequires:  ansible-packaging-tests
BuildRequires:  %{py3_dist psycopg}
%endif

%description
%{summary}.


%prep
%autosetup -p1 -n community.postgresql-%{version}
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +


%build
%ansible_collection_build


%install
%ansible_collection_install


%check
%if %{with tests}
%ansible_test_unit
%endif


%files -f %{ansible_collection_filelist}
%license COPYING PSF-license.txt simplified_bsd.txt
%doc README.md CHANGELOG.rst


%changelog
* Fri Jul 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-1
- initial build
